## ros-indigo-ur-gazebo 1.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ur_gazebo)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES ur_gazebo
#  CATKIN_DEPENDS ur_description
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

## Declare a cpp library
# add_library(ur_gazebo
#   src/${PROJECT_NAME}/ur_gazebo.cpp
# )

## Declare a cpp executable
# add_executable(ur_gazebo_node src/ur_gazebo_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(ur_gazebo_node ur_gazebo_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(ur_gazebo_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY controller DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})


# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS ur_gazebo ur_gazebo_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_ur_gazebo.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-indigo-ur-gazebo (1.1.11-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 05 Jan 2018 23:00:00 -0000

ros-indigo-ur-gazebo (1.1.10-0trusty) trusty; urgency=high

  * Remove dependency on ros_controllers metapackage.
    As per http://www.ros.org/reps/rep-0127.html, packages are not allowed to
    depend on metapackages.
  * Contributors: Miguel Prada

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 03 Aug 2017 22:00:00 -0000

ros-indigo-ur-gazebo (1.1.9-0trusty) trusty; urgency=high

  * No changes.

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 01 Jan 2017 23:00:00 -0000

ros-indigo-ur-gazebo (1.1.8-0trusty) trusty; urgency=high

  * ur_gazebo: escape underscore in changelog (#279 <https://github.com/ros-industrial/universal_robot/issues/279>).
  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 29 Dec 2016 23:00:00 -0000

ros-indigo-ur-gazebo (1.1.7-0trusty) trusty; urgency=high

  * ur_gazebo: add controller_manager as run dependency.
  * Contributors: Hans-Joachim Krauch

 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 28 Dec 2016 23:00:00 -0000

ros-indigo-ur-gazebo (1.1.6-0trusty) trusty; urgency=high

  * provide launch files for ur3
  * use controller_manager spawn
  * allow to start gazebo without gui
  * adjust controllers to new hardwareInterface - affects simulation only
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-ur-gazebo (1.0.2-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-indigo-ur-gazebo (1.0.1-0trusty) trusty; urgency=high

  * adapt launch files in order to be able to use normal/limited xacro
  * updates for latest gazebo under hydro
  * Contributors: ipa-fxm
  * Added definitions for adding tergets in install folder. Issue #10 <https://github.com/ros-industrial/universal_robot/issues/10>.
  * Added definitions for adding tergets in install folder. Issue #10 <https://github.com/ros-industrial/universal_robot/issues/10>.
  * Updated to catkin.  ur_driver's files were added to nested Python directory for including in other packages.
  * removed ``arm_`` prefix from joint names in gazebo controller config
  * Renamed packages and new groovy version
  * Added ur10 and renamed packages
  * Contributors: IPR-SR2, Kelsey, Mathias Lüdtke, ipa-nhg, robot

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-ur-gazebo
Section: misc
Priority: extra
Maintainer: Felix Messmer <fxm@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/ur_gazebo
Standards-Version: 3.9.2

Package: ros-indigo-ur-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-effort-controllers, ros-indigo-gazebo-ros, ros-indigo-gazebo-ros-control, ros-indigo-joint-state-controller, ros-indigo-joint-trajectory-controller, ros-indigo-robot-state-publisher, ros-indigo-ur-description
Description: Gazebo wrapper for the Universal UR5/10 robot arms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ur-gazebo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
